package com.tianyi.sync.controller;

import com.tianyi.sync.service.FixedAssetsService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class FixedAssetsController {

    private final FixedAssetsService fixedAssetsService;

    public FixedAssetsController(FixedAssetsService fixedAssetsService) {
        this.fixedAssetsService = fixedAssetsService;
    }

    /**
     * 固定资产
     * @return
     */
    @PostMapping("/fixedassets/residual")
    public Object cashFlow(){
        return fixedAssetsService.residualVaule();
    }
}
