package com.tianyi.sync.model;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class FixedAssetsResidualValeModel {
    private String treatTime; //处置日期(查询条件)
    private String addType; //增加方式
    private BigDecimal monthLosePrice; //月折旧额
    private String name; //固定资产名称
    private String loseTypeName; //折旧方法名称
    private BigDecimal yearLosePrice; //本币本年折旧额
    private BigDecimal leftPrice; //净残值
    private BigDecimal yearLoseCount; //本年折旧期数
    private BigDecimal totalFinishLosePrice; //截止本年末累计计提折旧额
    private BigDecimal totalLosePrice; //截止上年末累计计提折旧额
    private BigDecimal treatLosePrice; //应计折旧额/处置差额
    private String propertyCode; //固定资产编码
    private BigDecimal loseRate; //残值率
    private BigDecimal price; //本币原值
    private String startUseTime; //开始使用时间
    private String treatState; //处置状态
    private Integer preYearUseTime; //截止上期末已使用期数(月)
    private Integer userPeriod; //总使用年限
    private String code;
    private String id;
    private String ytenantId; //租户ID
    private String accentityId; //会计主体ID
    private String operMan; // 创建人ID
    private String operTime; // 创建时间
    private String propertyPurpose; //资产用途


    public String getTreatTime() {
        return treatTime;
    }

    public void setTreatTime(String treatTime) {
        this.treatTime = treatTime;
    }

    public String getAddType() {
        return addType;
    }

    public void setAddType(String addType) {
        this.addType = addType;
    }

    public BigDecimal getMonthLosePrice() {
        return monthLosePrice;
    }

    public void setMonthLosePrice(BigDecimal monthLosePrice) {
        this.monthLosePrice = monthLosePrice;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoseTypeName() {
        return loseTypeName;
    }

    public void setLoseTypeName(String loseTypeName) {
        this.loseTypeName = loseTypeName;
    }

    public BigDecimal getYearLosePrice() {
        return yearLosePrice;
    }

    public void setYearLosePrice(BigDecimal yearLosePrice) {
        this.yearLosePrice = yearLosePrice;
    }

    public BigDecimal getLeftPrice() {
        return leftPrice;
    }

    public void setLeftPrice(BigDecimal leftPrice) {
        this.leftPrice = leftPrice;
    }

    public BigDecimal getYearLoseCount() {
        return yearLoseCount;
    }

    public void setYearLoseCount(BigDecimal yearLoseCount) {
        this.yearLoseCount = yearLoseCount;
    }

    public BigDecimal getTotalFinishLosePrice() {
        return totalFinishLosePrice;
    }

    public void setTotalFinishLosePrice(BigDecimal totalFinishLosePrice) {
        this.totalFinishLosePrice = totalFinishLosePrice;
    }

    public BigDecimal getTotalLosePrice() {
        return totalLosePrice;
    }

    public void setTotalLosePrice(BigDecimal totalLosePrice) {
        this.totalLosePrice = totalLosePrice;
    }

    public BigDecimal getTreatLosePrice() {
        return treatLosePrice;
    }

    public void setTreatLosePrice(BigDecimal treatLosePrice) {
        this.treatLosePrice = treatLosePrice;
    }

    public String getPropertyCode() {
        return propertyCode;
    }

    public void setPropertyCode(String propertyCode) {
        this.propertyCode = propertyCode;
    }

    public BigDecimal getLoseRate() {
        return loseRate;
    }

    public void setLoseRate(BigDecimal loseRate) {
        this.loseRate = loseRate;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getStartUseTime() {
        return startUseTime;
    }

    public void setStartUseTime(String startUseTime) {
        this.startUseTime = startUseTime;
    }

    public String getTreatState() {
        return treatState;
    }

    public void setTreatState(String treatState) {
        this.treatState = treatState;
    }

    public Integer getPreYearUseTime() {
        return preYearUseTime;
    }

    public void setPreYearUseTime(Integer preYearUseTime) {
        this.preYearUseTime = preYearUseTime;
    }

    public Integer getUserPeriod() {
        return userPeriod;
    }

    public void setUserPeriod(Integer userPeriod) {
        this.userPeriod = userPeriod;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getYtenantId() {
        return ytenantId;
    }

    public void setYtenantId(String ytenantId) {
        this.ytenantId = ytenantId;
    }

    public String getAccentityId() {
        return accentityId;
    }

    public void setAccentityId(String accentityId) {
        this.accentityId = accentityId;
    }

    public String getOperMan() {
        return operMan;
    }

    public void setOperMan(String operMan) {
        this.operMan = operMan;
    }

    public String getOperTime() {
        return operTime;
    }

    public void setOperTime(String operTime) {
        this.operTime = operTime;
    }

    public String getPropertyPurpose() {
        return propertyPurpose;
    }

    public void setPropertyPurpose(String propertyPurpose) {
        this.propertyPurpose = propertyPurpose;
    }
}
